Results 1 to 9 of 9

Thread: Alternate Karmic Repositories

  1. #1
    Join Date
    Oct 2006
    Location
    Chicago, IL
    Beans
    192
    Distro
    Ubuntu 10.04 Lucid Lynx

    Alternate Karmic Repositories

    Are the Karmic repositories no longer available?

    Are there any backup repositories I could use?
    Robert Stolorz
    www.RobertStolorz.com

  2. #2
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    4,266
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Alternate Karmic Repositories

    Karmic's support ended last April.

    If you wish to use a single distro for a long time, please consider installing a Long-Term Support (LTS) version.

    The last LTS was 10.04 (Lucid), which will be supported until 13.04. The next LTS due is 12.04 (Precise), which will be supported until 17.04.

    You could try to upgrade Karmic to Lucid (be sure to back up your data first in case of problems), or you could wait until April and install 12.04 (I would recommend a fresh installation -- back up your data first).
    Problems with WINE?
    Full Circle Magazine :: Confused "allot"? :: Cheap Linux stickers
    In my day, we had outdoors in which to run, play, and socialise. Now we have computers to do those.

  3. #3
    Join Date
    Oct 2006
    Location
    Chicago, IL
    Beans
    192
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Alternate Karmic Repositories

    This is a server install. I choose 9.10 sepcifically because the PHP version had the best compatibility.

    Upgrading isn't an option.

    Are there any backup repos available?
    Robert Stolorz
    www.RobertStolorz.com

  4. #4
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    4,266
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Alternate Karmic Repositories

    Sorry, I am not aware of backup repositories. As Karmic is no longer supported, there is no longer support for its repositories.

    Besides, if your 9.10 was fully up-to-date, there will be nothing more available anyway.

    You could try opening your Software Sources, and in the Updates tab, select Proposed Updates and Unsupported Updates. However, as the names imply, you may find that these updates break your system or parts of it, so you use it at your own risk.

    As the problem is PHP compatibility, have you considered installing an older version of PHP on a newer installation of Ubuntu?
    Problems with WINE?
    Full Circle Magazine :: Confused "allot"? :: Cheap Linux stickers
    In my day, we had outdoors in which to run, play, and socialise. Now we have computers to do those.

  5. #5
    Join Date
    Jan 2008
    Beans
    7,749

    Re: Alternate Karmic Repositories

    FeraTech, when an Ubuntu release goes "end of life" its repositories are moved to old-releases.ubuntu.com.

    Therefore you can change your mirrors in /etc/apt/sources.list to old-releases. This will allow you to install unsupported, obsolete applications from the unsupported, obsolete Karmic repos. There will never, ever be any bug fixes or security patches to old-releases, so use at your own risk!

    I hope that answers your question. I strongly agree with the suggestion above to use the currently-supported LTS release. If you are concerned with "PHP compatibility" then you should also know that the older version of PHP in Ubuntu 9.10 has known security vulnerabilities that will never be patched.

  6. #6
    Join Date
    Sep 2006
    Beans
    7,568
    Distro
    Lubuntu Development Release

    Re: Alternate Karmic Repositories

    Quote Originally Posted by snowpine View Post
    FeraTech, when an Ubuntu release goes "end of life" its repositories are moved to old-releases.ubuntu.com.

    Therefore you can change your mirrors in /etc/apt/sources.list to old-releases...
    So you will have to set /etc/apt/sources.list to the following:

    Code:
    deb http://old-releases.ubuntu.com/ubuntu/ karmic main restricted universe multiverse
    deb http://old-releases.ubuntu.com/ubuntu/ karmic-updates main restricted universe multiverse
    deb http://old-releases.ubuntu.com/ubuntu/ karmic-security main restricted universe multiverse

  7. #7
    Join Date
    Nov 2005
    Location
    Perth, Western Australia.
    Beans
    10
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Alternate Karmic Repositories

    Lars, thank you, thank you, thank you.

    Because of the hardware i am using I need to use Karmic.
    When the repositories dissapeared, it created a massive headache for me.

    I tried for ages to work/find out what to do.
    And in 3 short lines for my sources.list, you had the answer for me.

    Your a true hero.

  8. #8
    Join Date
    May 2008
    Location
    United Kingdom
    Beans
    4,266
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Alternate Karmic Repositories

    Quote Originally Posted by klaatu View Post
    Because of the hardware i am using I need to use Karmic.
    If 11.10 or, when April comes around, 12.04 do not work on your hardware, please consider raising a bug report. This will help others with the same problem as you.

    As your problem is solved, please mark this thread as solved to help others with the same problem.
    Problems with WINE?
    Full Circle Magazine :: Confused "allot"? :: Cheap Linux stickers
    In my day, we had outdoors in which to run, play, and socialise. Now we have computers to do those.

  9. #9
    Join Date
    Sep 2006
    Beans
    7,568
    Distro
    Lubuntu Development Release

    Re: Alternate Karmic Repositories

    I'm glad it helped. Keep in mind that Karmic is no longer maintained so that you are on your own for security issues. I would see if you can overcome the barriers and upgrade to 12.04 when the time comes. That will get you 5 years of support.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •